
<?php
include "config.php";

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $regUsername = $_POST['regUsername'];
    $regEmail = $_POST['regEmail'];
    $regPassword = $_POST['regPassword'];

    // Validējam, ka visi lauki ir aizpildīti
    if (empty($regUsername) || empty($regEmail) || empty($regPassword)) {
        echo "Visi lauki ir jāaizpilda.";
        exit;
    }

    // Šifrējam paroli
    $hashedPassword = password_hash($regPassword, PASSWORD_DEFAULT);

    // Sagatavojam SQL vaicājumu, lai ievadītu lietotāju datubāzē
    $sql = "INSERT INTO users (username, email, password) 
            VALUES ('$regUsername', '$regEmail', '$hashedPassword')";
    
    // Pārbaudām, vai reģistrācija bija veiksmīga
    if ($conn->query($sql) === TRUE) {
        echo "Registation successful";
    } else {
        echo "Kļūda reģistrējoties: " . $conn->error;
    }

    $conn->close();
}
?>

